_Elm_Naviframe_Item_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields

Elm_Widget_Item_Data * | base
| EINA_INLIST
Eina_Inlist * | content_list
Eina_Inlist * | text_list
Evas_Object * | content
Evas_Object * | title_prev_btn
Evas_Object * | title_next_btn
Evas_Object * | title_icon
Evas_Object * | auto_pushed_btn
Evas_Display_Mode | dispmode
Elm_Naviframe_Item_Pop_Cb | pop_cb
void * | pop_data
const char * | title_label
const char * | subtitle_label
Evas_Coord | minw
Evas_Coord | minh
Eina_Bool | title_enabled: 1
Eina_Bool | pushing: 1
| a flag to notify the item is on pushing.
Eina_Bool | popping: 1
| a flag to notify the item is on poping.
Eina_Bool | delete_me: 1
| a flag to notify the item is on deletion.

## Field Documentation

## pushing

Eina_Bool _Elm_Naviframe_Item_Data::pushing

a flag to notify the item is on pushing.

This flag is set true at the start of item push.

## popping

Eina_Bool _Elm_Naviframe_Item_Data::popping

a flag to notify the item is on poping.

this flag is set true at the start of item pop.

## delete_me

Eina_Bool _Elm_Naviframe_Item_Data::delete_me

a flag to notify the item is on deletion.

this flag is set true at the start of item deletion.